package com.avg.zaap.crashlibrary.crashlibmocks;

import android.support.annotation.NonNull;

import com.avg.zaap.crashlibrary.CrashLibTests;
import com.avg.zaap.crashlibrary.provider.CrashProviderException;
import com.avg.zaap.crashlibrary.provider.ICrashSyncProvider;

/**
 * Class used in {@link CrashLibTests} when unit testing annotation.
 * This provider doesn't have constructor with Context as argument to simulate NoSuchMethodException.
 */
public class SyncProviderWithNoSuchMethodException implements ICrashSyncProvider {


    public SyncProviderWithNoSuchMethodException() throws NoSuchMethodException {
        throw new NoSuchMethodException();
    }

    @Override
    public String provideData(@NonNull String directory) throws CrashProviderException {
        return null;
    }

}